Bug 1002448 - System property org.kie.demo defined in standalone*.xml cannot be overriden from command line
System property org.kie.demo defined in standalone*.xml cannot be overriden f...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: Ryan Zhang
Marek Winkler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 04:51 EDT by Marek Winkler
Modified: 2014-08-06 16:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Winkler 2013-08-29 04:51:02 EDT
Description of problem:

The property is defined as follows (therefore its value cannot be overriden from the command line during EAP startup):

<property name="org.kie.demo" value="false"/>

Probably it should be defined like this:

<property name="org.kie.demo" value="${org.kie.demo:false}"/>

This way is also quite common in EAP configuration, so users might expect it.

Version-Release number of selected component (if applicable):

BRMS 6.0.0.ER2 EAP6 distribution
Comment 1 Ryan Zhang 2013-11-13 23:50:25 EST
Yes, Thanks Marek!

Fixed.
Comment 2 Marek Winkler 2013-12-10 12:07:50 EST
Verified on BRMS 6.0.0 ER5.

Note You need to log in before you can comment on or make changes to this bug.